Ubuntu

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. E: _cache->open() failed, please report.

Reported by mikael hammarlind on 2008-10-26
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.0

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 8.10
NonfreeKernelModules: fglrx
Package: firefox-3.0 3.0.3+nobinonly-0ubuntu2
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=sv_SE.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox-3.0
Uname: Linux 2.6.27-7-generic i686

Tomasz 'Zen' Napierala (tzn) wrote :

Thank you for taking the time to make Ubuntu better and reporting this problem. Unfortunately this is normal behavior when update/installation process was interrupted. Please run "sudo dpkg --configure -a" in terminal emulator (to get the terminal press Alt+F2, and then type gnome-terminal, and hit enter). After that your problem should be fixed. Let me know about the results.

Tomasz 'Zen' Napierala (tzn) wrote :

Waiting for user to provide feedback

Changed in firefox-3.0:
status: New → Incomplete
Tomasz 'Zen' Napierala (tzn) wrote :

Changing to dpkg

Hello!

Thanks for your help, have tried to restart ubuntu, but that did not. Unable to drive in the terminal window. Nothing happens is just that it does not find configure a character.

Bw

Michael

----------------------------------------
> From: <email address hidden>
> To: <email address hidden>
> Date: Sun, 26 Oct 2008 22:11:42 +0000
> Subject: [Bug 289560] Re: E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. E: _cache->open() failed, please report.
>
> Thank you for taking the time to make Ubuntu better and reporting this
> problem. Unfortunately this is normal behavior when update/installation
> process was interrupted. Please run "sudo dpkg --configure -a" in
> terminal emulator (to get the terminal press Alt+F2, and then type
> gnome-terminal, and hit enter). After that your problem should be fixed.
> Let me know about the results.
>
> --
> E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. E: _cache->open() failed, please report.
> https://bugs.launchpad.net/bugs/289560
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “dpkg” source package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: firefox-3.0
>
> E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
> E: _cache->open() failed, please report.
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 8.10
> NonfreeKernelModules: fglrx
> Package: firefox-3.0 3.0.3+nobinonly-0ubuntu2
> ProcEnviron:
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=sv_SE.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.27-7-generic i686

_________________________________________________________________
Hetaste modetipsen & härligaste skönhetstesterna!
http://salongk.msn.se/

Tomasz 'Zen' Napierala (tzn) wrote :

Hi,
Few questions:
- can you boot Ubuntu into graphical environment?
- what happens when you type command from previuos comment (sudo dpkg --configure -a)
- what happens when you type (in terminal) "sudo apt-get -f install"

Jess (jessica-rexroad) wrote :

just got this error when attempting to run synaptic, to see if there was anything to help with a dvd+r problem i was encountering: E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

opened terminal, used sudo dpkg --configure -a, received: Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;
Type dpkg --license for copyright license and lack of warranty (GNU GPL) [*].

Options marked [*] produce a lot of output - pipe it through `less' or `more' !

haven't tried sudo apt-get -f install

Phil (phil1988) wrote :

I have this same problem. when i tried to run sudo dpkg --configure -a it asked me for a password, but i couldn't enter text!

I was updating (update manager) when my computer froze before i got the error.

Fabian (fabian-cotter) wrote :

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

Er, guys, i'm stupid. so when i go to update my drivers and it can't because of the above error message, what do I do? I did the Alt+F2, but no good???

Any ideas?

Rgds

Phil (phil1988) wrote :

okay, so i just typed dpkg --configure -a in terminal but it now says i need superuser privileges?

please help me out!

C-Leggs (hailyess) wrote :

Thank you to all who contributed. I'd been experiencing the same problem.

I hope phil got things fixed, but i want to note to anyone who copies and pastes the command "sudo dpkg --configure -a" that you need to have patience and wait a bit for things to happen. Get up, Walk around a bit or grab a cup of coffee, everything will be fixed.

Patience...

Fabian (fabian-cotter) wrote :

Hi guys, ok please bear with me.I'm not totally stupid, well I don't think so as I am an editor of a car magazine here in Britain.Ok, so as everyone says " manually run blah blah! - cool, but where or how am I exactly doing to do so? How do I get to the stage of physically typing that a command line somewhere in Ubuntu? Which drop down menu? where do I go?I know that sounds stupid to you all but whilst I'm all for the Unbuntu cause (long live the revolution), my pea brain lack's the fundamental IT mindset to do these things.Cheers,F> Date: Tue, 17 Feb 2009 18:17:55 +0000> From: <email address hidden>> To: <email address hidden>> Subject: [Bug 289560] Re: E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. E: _cache->open() failed, please report.> > Thank you to all who contributed. I'd been experiencing the same> problem.> > I hope phil got things fixed, but i want to note to anyone who copies> and pastes the command "sudo dpkg --configure -a" that you need to have> patience and wait a bit for things to happen. Get up, Walk around a bit> or grab a cup of coffee, everything will be fixed.> > Patience...> > -- > E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. E: _cache->open() failed, please report.> https://bugs.launchpad.net/bugs/289560> You received this bug notification because you are a direct subscriber> of the bug.> > Status in “dpkg” source package in Ubuntu: Incomplete> > Bug description:> Binary package hint: firefox-3.0> > E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. > E: _cache->open() failed, please report.> > ProblemType: Bug> Architecture: i386> DistroRelease: Ubuntu 8.10> NonfreeKernelModules: fglrx> Package: firefox-3.0 3.0.3+nobinonly-0ubuntu2> ProcEnviron:> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games> LANG=sv_SE.UTF-8> SHELL=/bin/bash> SourcePackage: firefox-3.0> Uname: Linux 2.6.27-7-generic i686
_________________________________________________________________
Want to marry your mail? Combine your email accounts here!
http://livelife.ninemsn.com.au/article.aspx?id=633386

C de-Avillez (hggdh2) wrote :

@all: please, when reporting feedback from the command, type in *exactly* what you did, and the responses you got. You can copy & paste, or take a screenshot and attach it here.

Please do not mix with with your text, and (preferably) do not retype the commands and responses. We need to know *exactly* what you did... which, sometimes, is not quite what one *thinks* was done.

On how to get to a "terminal" (valid for Gnome)
:
1. hit Alt-F2 (press the "Alt" key and, with the key still pressed, press the "F2" key); this will open a "Run Programme" pop-up;
2. in the input field of the pop-up, type "gnome-terminal" (without the quotes);
- this will open a "terminal", a command-line interface to Linux
3. in the terminal, type "sudo --configure -a" (without the quotes); hit the Enter key;
- this will cause a prompt to appear, like the output below:

hggdh@xango2:/usr/src/buildd/dpkg $ sudo dpkg --configure -a
[sudo] password for hggdh:

4. Now enter YOUR login password; hit "Enter" when done;
- dpkg will now run, with superuser rights. The ideal result is *no* error is displayed.

There. You are done.

Vishruth (vishruth-srinath) wrote :

Hello,
This is what I get when i use sudo dpkg --configure -a

Setting up flashplugin-installer (10.0.32.18ubuntu1) ...
Downloading...
--2009-11-29 16:52:43-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.0.32.18.orig.tar.gz
Resolving archive.canonical.com... 91.189.90.142
Connecting to archive.canonical.com|91.189.90.142|:80... failed: Connection timed out.
Retrying.

--2009-11-29 16:55:53-- (try: 2) http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.0.32.18.orig.tar.gz
Connecting to archive.canonical.com|91.189.90.142|:80...

There are proxy settings to bypass where i'm using my comp and i havent installed NTLMaps yet .

Any ideas on how to fix this?
Thanks

Chevalier (nicolasa-chevalier) wrote :

  Hello team,

  I hope you will see this message. I'm in trouble with my Ubuntu Hardy Heron LTS. I can neither upgrade packages, nor install new ones. I won't probably be able to go to the future LTS Lucid Lynx. I ran "dpkg --configure -a" and here is what I get :

"

Paramétrage de initramfs-tools (0.85eubuntu39.3) ...
update-initramfs: deferring update (trigger activated)

Paramétrage de linux-ubuntu-modules-2.6.24-26-generic (2.6.24-26.44) ...
update-initramfs: Generating /boot/initrd.img-2.6.24-26-generic

gzip: stdout: No space left on device
update-initramfs: failed for /boot/initrd.img-2.6.24-26-generic
dpkg : erreur de traitement de linux-ubuntu-modules-2.6.24-26-generic (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de linux-image-generic :
 linux-image-generic dépend de linux-ubuntu-modules-2.6.24-26-generic ; cependant :
 Le paquet linux-ubuntu-modules-2.6.24-26-generic n'est pas encore configuré.
dpkg : erreur de traitement de linux-image-generic (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de linux-generic :
 linux-generic dépend de linux-image-generic (= 2.6.24.26.28) ; cependant :
 Le paquet linux-image-generic n'est pas encore configuré.
dpkg : erreur de traitement de linux-generic (--configure) :
 problèmes de dépendances - laissé non configuré
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.24-26-generic

gzip: stdout: No space left on device
update-initramfs: failed for /boot/initrd.img-2.6.24-26-generic
dpkg: le sous-processus post-installation script a retourné une erreur de sortie d'état 1

"

I ran dpkg -a --configure because I was asked to (each time I want to upgrade)

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

This bug may be related to that one : 492761 (or 315689)

  Please if you need further information, let me know ! I'm annoyed.

Philip Muškovac (yofel) wrote :

@Chevalier: can you please check with 'df' in a terminal if you have enough disk space left on your / (root) drive? As you have

gzip: stdout: No space left on device

in your error log please check this.

Chevalier (nicolasa-chevalier) wrote :

Thanks Philip Muškovac for your post. Here is what I get with 'df' :

Sys. de fich. 1K-blocs Occupé Disponible Capacité Monté sur
/dev/sda6 150167365 131568119 10969176 93% /
varrun 513024 240 512784 1% /var/run
varlock 513024 0 513024 0% /var/lock
udev 513024 64 512960 1% /dev
devshm 513024 28 512996 1% /dev/shm
/dev/sda3 197599 194396 0 100% /boot
tmpfs 513024 40000 473024 8% /lib/modules/2.6.24-26-generic/volatile
gvfs-fuse-daemon 150167365 131568119 10969176 93% /home/nchevali2/.gvfs

Does the problem come from the /dev/sda3 file system ?
Thank you for your answer,
Nicolas

Philip Muškovac (yofel) wrote :

@Chevalier: Yes, you ran out of space on /boot so the initrd cannot be created and fails with an out of space error. You first need to free some space there (by removing unused older kernel images) before you can install new ones.

Chevalier (nicolasa-chevalier) wrote :

Thanks Philip Muškovac for your answer. You was right : I manually deleted the older kernel images and now everything is fine.

It is strange that those older kernel images are not automatically deleted after a new release is installed, isn't it ?

clueless (iamkimberly2001) wrote :

This is an oldie, but goody. I'm a new user (Ubuntu) and have had this error for awhile now. I have read through the previous posts with great interest and optomism, yet, I cannot access a terminal after Alt/F2. Once I get past that little problem, I think I will be ok. Is there anyone still out there who can lend a hand to a fish out of water?

Philip Muškovac (yofel) wrote :

@clueless: you should get a terminal if you type 'gnome-terminal' in the alt+f2 dialog (assuming you use gnome).

@Chevalier: no, it's not strange that they aren't removed. Older kernel images aren't auto-removed as something might go wrong in the installation of the new kernel, or there might be a bug in the new one so you can't use it on your pc. In both cases you would end up with an upbootable system and would have to reinstall Ubuntu. With the older kernel still there you can select the old one in the grub menu and check what is wrong with the new kernel.

Raydawggg (raydawggg) wrote :

 I Have just upgraded to Lucid Lynx 10.04 LTS from Karmic 9.10 Stable The upgrade did not clean up or restart as the upgrade process normally does.Now when i try to update from the Update manager..it prompts for a "Partial Upgrade" which fails and give the error code E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. After opening a Terminal & typing sudo dpkg --configure -a

Setting up initramfs-tools (0.92bubuntu71) ...
update-initramfs: deferring update (trigger activated)

Processing triggers for python-central ...
Setting up linux-image-2.6.32-19-powerpc64-smp (2.6.32-19.28) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.32-19-powerpc64-smp
mkinitramfs: missing ps root /dev/ps3da1 /sys entry
mkinitramfs: workaround is MODULES=most
mkinitramfs: Error please report the bug
update-initramfs: failed for /boot/initrd.img-2.6.32-19-powerpc64-smp
Failed to create initrd image.
dpkg: error processing linux-image-2.6.32-19-powerpc64-smp (--configure):
 subprocess installed post-installation script returned error exit status 2
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.31-20-powerpc64-smp
mkinitramfs: missing ps root /dev/ps3da1 /sys entry
mkinitramfs: workaround is MODULES=most
mkinitramfs: Error please report the bug
update-initramfs: failed for /boot/initrd.img-2.6.31-20-powerpc64-smp
dpkg: subprocess installed post-installation script returned error exit status 1

I am at a loss as to what to do..i would greatly appreciate all help..
Thanks in advance

Launchpad Janitor (janitor) wrote :

[Expired for dpkg (Ubuntu) because there has been no activity for 60 days.]

Changed in dpkg (Ubuntu):
status: Incomplete → Expired
security vulnerability: no → yes
security vulnerability: yes → no
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers